Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454008 - Review Request: iax - Implementation of Inter-Asterisk eXchange protocol
Summary: Review Request: iax - Implementation of Inter-Asterisk eXchange protocol
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454010 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:04 UTC by Tom "spot" Callaway
Modified: 2009-03-13 18:39 UTC (History)
4 users (show)

Fixed In Version: 0.2.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-13 18:36:31 UTC
oget.fedora: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:04:05 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/iax.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/iax-0.2.2-1.fc10.src.rpm
Description: 
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is the
protocol used by the Asterisk PBX system for inter-asterisk-communication.
Other applications may use libiax to communicate with each other and other
asterisk servers.  IAX is a high performance, feature rich protocol unrelated
to SIP or H.323.  Its single-socket design allows it to interoperate with NAT
and PAT masquerade firewalls.  It supports internationalization, remote
dialplans, and voice, HTML, image, DTMF, and video content.

Comment 1 Jason Tibbitts 2008-07-04 20:48:37 UTC
Is it a problem that iax-client.h and iax.h are GPL and not LGPL?

Comment 2 Tom "spot" Callaway 2008-07-04 21:09:25 UTC
Ehh, the License tag should be GPL+. My mistake.

Comment 3 Balbir Singh 2008-07-28 22:04:08 UTC
1. iax.spec.in still refers to the license as LGPL and breaks when I install and
build from the source RPM
2. FYI, my rpmbuild failed on Ubuntu (it could not find any .so packages to
install). It works on Fedora.

Comments

1. The package owns the directories and files it creates
2. ldconfig is run
3. %doc is used correctly
4. Header files and .so are in -devel 
5. Main package contains .so.version files
6. -devel package depends on main
7. Package does not contain any .la archives
8. Package does rm -rf %{buildroot} at the beginning of install
9. Package installs to DESTDIR

Balbir

Comment 4 Tom "spot" Callaway 2008-07-29 14:23:55 UTC
iax.spec.in is really irrelevant, as I'm not using or packaging the system
provided spec file (it really isn't any good).

I'm also not surprised that rpmbuild fails on Ubuntu, nor do I care if it works. :)

Thanks for the feedback.

Comment 5 Till Maas 2008-08-08 10:33:17 UTC
There should be a comment about the status of your patch in the spec according to:
https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus

Comment 6 Orcan Ogetbil 2009-03-06 19:16:12 UTC
ok, here are my notes:

- rpmlint says:
   iax-devel.x86_64: W: no-documentation
but there is not much we can do about it

- the patch is trivial but seems packaging specific. I leave it up to you to send it upstream.

* I couldn't check the URL. It doesn't respond.

* I think the file iax-config.in needs sed'ded because it assumes the libdir to be $prefix/lib/

? I suggest making use of the %name macro. Up to you

* You might want to kill the rpath

* Shouldn't the license field be GPL+ and LGPL+, because some source files are GPL, some are LGPL?

Comment 7 Tom "spot" Callaway 2009-03-06 21:25:29 UTC
(In reply to comment #6)
> ok, here are my notes:
> 
> - rpmlint says:
>    iax-devel.x86_64: W: no-documentation
> but there is not much we can do about it

Indeed.

> * I couldn't check the URL. It doesn't respond.

Fixed it to point to the download toplevel dir for iax.
 
> * I think the file iax-config.in needs sed'ded because it assumes the libdir to
> be $prefix/lib/

You're right. Fixed in -2.

> ? I suggest making use of the %name macro. Up to you

I did it everywhere except the libiax.so references.

> * You might want to kill the rpath

I don't see any bad rpath... /usr/lib/rpm/check-rpaths says it is clean.

> * Shouldn't the license field be GPL+ and LGPL+, because some source files are
> GPL, some are LGPL?  

Good catch.

New Spec URL: http://auroralinux.org/people/spot/review/coccinella/iax.spec
New SRPM URL: http://auroralinux.org/people/spot/review/coccinella/iax-0.2.2-2.fc11.src.rpm

Comment 8 Orcan Ogetbil 2009-03-06 21:40:42 UTC
Thanks. I saw this on the build.log

   /bin/sh ../libtool --mode=link gcc  -g -Wall -Wstrict-prototypes -I . -DDEBUG_SUPPORT -DDEBUG_DEFAULT  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -o libiax.la -rpath /usr/lib64  iax.lo md5.lo
          ^^^^^^

I don't know how important this is but "-rpath" is passed to libtool here.

Can this be ignored?

Comment 9 manuel wolfshant 2009-03-07 19:55:37 UTC
Orcan, the libtool file is not included in the binary package.

Comment 10 Orcan Ogetbil 2009-03-07 21:30:54 UTC
Alright then. I wasn't sure.

--------------------------------------
This package (iax) is APPROVED by oget
--------------------------------------

Comment 11 Tom "spot" Callaway 2009-03-12 20:33:38 UTC
New Package CVS Request
=======================
Package Name: iax
Short Description: Implementation of Inter-Asterisk eXchange protocol
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.

Comment 12 Fedora Update System 2009-03-12 21:04:56 UTC
iax-0.2.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/iax-0.2.2-2.fc9

Comment 13 Fedora Update System 2009-03-12 21:05:01 UTC
iax-0.2.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/iax-0.2.2-2.fc10

Comment 14 Fedora Update System 2009-03-13 18:36:26 UTC
iax-0.2.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-03-13 18:39:21 UTC
iax-0.2.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.